
package datos;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import org.jdom2.Document;
import org.jdom2.Element;
import org.jdom2.input.SAXBuilder;

public class ProvinciasDATOS {
    
    public Map<String, String> leerProvincias() throws Exception {    
        
        Map<String, String> provincias = new LinkedHashMap<String, String>();
        
        Document document = new SAXBuilder().build(new InputStreamReader(new FileInputStream(new File("xml\\municipios.xml")), StandardCharsets.ISO_8859_1));          
       // Document document = new SAXBuilder().build("xml\\municipios.xml");
        
        Element raiz = document.getRootElement();
        
        List listaProvincias = raiz.getChildren("PROVINCIA");
        Iterator iteratorProvincias = listaProvincias.iterator(); 
        while (iteratorProvincias.hasNext())
          {                        
            Element provincia = (Element)iteratorProvincias.next(); 
            provincias.put(provincia.getAttributeValue("id_provincia"), provincia.getAttributeValue("nombre"));            
          } 
        
        return provincias;
    }
}
